# ngx-virtual-keyboard

[![MIT licensed](https://img.shields.io/badge/license-MIT-blue.svg)](LICENSE)
[![npm version](https://badge.fury.io/js/ngx-virtual-keyboard.svg)](https://badge.fury.io/js/ngx-virtual-keyboard)

## Quick Start

### Prerequisites
- Git
- Angular (>= 4)
- NPM (>= 3)

### Install
#### Step 1: Install ngx-virtual-keyboard
```
# npm
npm i --save ngx-virtual-keyboard
```

#### Step 2: Import the module
```typescript
import { NgxVirtualKeyboardModule }  from 'ngx-virtual-keyboard';

@NgModule({
  ...
  imports: [
    ...
    NgxVirtualKeyboardModule,
  ],
  ...
})
export class AppModule { }
```

#### Step 3: Component
```typescript
import { Component } from '@angular/core';

@Component({
  ...
})

export class NgxVirtualKeyboardComponent implements OnInit {
  private layout: any = 'alphanumeric';
  // You can create your own layout
  // private layout: string = [
  //  ['1', '2', '0', 'Backspace'],
  //  ['3', '4', '6', 'Enter'],
  //  ['a', 'b', 'c']
  // ]'

  constructor() { }

  ngOnInit() {}

}
```

#### Step 4: Simple usage example
```html
<input type="text" value=""
  [ngx-virtual-keyboard]="true"
  [ngx-virtual-keyboard-layout]="layout"
  [ngx-virtual-keyboard-disabled]="false"
/>
```

| Attribute | Description |
| --- | --- |
| `[ngx-virtual-keyboard]` | Required to initialize Virtual Keyboard to specified input. Can take boolean `true` or `false` to activate |
| `[ngx-virtual-keyboard-layout]` | Used layout on keyboard, following keyboards are defaults that you can use `alphanumeric, azerty, extended, numeric, phone` |
| `[ngx-virtual-keyboard-disabled]` | Disable keyboard keys if `true` |

## Demo
[https://vtllr.github.io/ngx-virtual-keyboard/](https://vtllr.github.io/ngx-virtual-keyboard/)

## Contribute

ngx-virtual-keyboard is Open Source, If you are interested in helping, please read the following:

### Pull Request Guidelines

When in doubt, keep your pull requests small. To give a PR the best chance of getting accepted, do not bundle more than one "feature" or bug fix in one PR. Doing so makes it very hard to accept it if one of the fixes has issues.

It's always best to create two smaller PRs than one big one.

### Style

Follow .editconfig

## Thanks
- [Shprink](https://github.com/shprink)
- [protacon/ng-virtual-keyboard](https://github.com/protacon/ng-virtual-keyboard)

## To do
- run demo on github pages
