"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.alphanumericKeyboard = [
    ['1', '2', '3', '4', '5', '6', '7', '8', '9', '0', 'Backspace'],
    ['q', 'w', 'e', 'r', 't', 'y', 'u', 'i', 'o', 'p', 'CapsLock'],
    ['a', 's', 'd', 'f', 'g', 'h', 'j', 'k', 'l', 'Enter'],
    ['Shift', 'z', 'x', 'c', 'v', 'b', 'n', 'm', '-', '.', 'Shift'],
];
exports.azertyKeyboard = [
    ['1', '2', '3', '4', '5', '6', '7', '8', '9', '0', 'Backspace'],
    ['a', 'z', 'e', 'r', 't', 'y', 'u', 'i', 'o', 'p', 'CapsLock'],
    ['q', 's', 'd', 'f', 'g', 'h', 'j', 'k', 'l', 'm', 'Enter'],
    ['Shift', 'w', 'x', 'c', 'v', 'b', 'n', '-', '.', 'Shift']
];
exports.extendedKeyboard = [
    ['q', 'w', 'e', 'r', 't', 'y', 'u', 'i', 'o', 'p', 'Backspace'],
    ['a', 's', 'd', 'f', 'g', 'h', 'j', 'k', 'l', 'Enter'],
    ['Shift', 'z', 'x', 'c', 'v', 'b', 'n', 'm', ',', '.', '-', '_', 'Shift'],
    ['Special', '@', 'SpaceBar:7', 'Left', 'Right']
];
exports.numericKeyboard = [
    ['1', '2', '3', 'Backspace'],
    ['4', '5', '6', 'Enter'],
    ['7', '8', '9', 'Spacer'],
    ['.', '0', 'Left', 'Right']
];
exports.phoneKeyboard = [
    ['1', '2', '3', 'Backspace'],
    ['4', '5', '6', '-'],
    ['7', '8', '9', '+'],
    ['0', 'Left', 'Right', 'Enter']
];
exports.specialKeyboard = [
    ['!', '@', '#', '%', '&', 'Spacer', '1', '2', '3', 'Backspace'],
    ['(', ')', '-', '_', '\\', 'Spacer', '4', '5', '6', 'Enter'],
    ['$', '/', '<', '>', '?', 'Spacer', '7', '8', '9', 'Spacer'],
    ['SpecialBack', '*', ':', ';', '~', 'Spacer', '0', '.', 'Left', 'Right']
];
exports.specialKeys = [
    'Enter',
    'Backspace',
    'Escape',
    'CapsLock',
    'SpaceBar',
    'Spacer',
    'Shift',
    'Left',
    'Right',
    'Special',
    'SpecialBack'
];
exports.specialKeyIcons = {
    Enter: '&#9166;',
    Backspace: '&#9003;',
    Escape: '&#9243;',
    SpaceBar: '&#8239;',
    Shift: '&#8593;',
    Left: '&#10094;',
    Right: '&#10095;',
    Special: '&123',
    SpecialBack: 'ABC'
};
exports.specialKeyTexts = {
    CapsLock: 'Caps'
};
exports.notDisabledSpecialKeys = [
    'Enter',
    'Backspace',
    'Escape'
];
function isSpacer(key) {
    if (key.length > 1) {
        return /^Spacer(:(\d+(\.\d+)?))?$/g.test(key);
    }
    return false;
}
exports.isSpacer = isSpacer;
function isGrey(key) {
    if (key.length > 1) {
        return /^Shift|Left|Right|Special|SpecialBack(:(\d+(\.\d+)?))?$/g.test(key);
    }
    return false;
}
exports.isGrey = isGrey;
function isSpaceBar(key) {
    if (key.length > 1) {
        return /^SpaceBar(:(\d+(\.\d+)?))?$/g.test(key);
    }
    return false;
}
exports.isSpaceBar = isSpaceBar;
function isShift(key) {
    if (key.length > 1) {
        return /^Shift(:(\d+(\.\d+)?))?$/g.test(key);
    }
    return false;
}
exports.isShift = isShift;
function isSpecial(key) {
    if (key.length > 1) {
        return !!exports.specialKeys.filter(function (specialKey) {
            var pattern = new RegExp("^(" + specialKey + ")(:(\\d+(\\.\\d+)?))?$", 'g');
            return pattern.test(key);
        }).length;
    }
    return false;
}
exports.isSpecial = isSpecial;
function keyboardCapsLockLayout(layout, caps) {
    return layout.map(function (row) {
        return row.map(function (key) {
            return isSpecial(key) ? key : (caps ? key.toUpperCase() : key.toLowerCase());
        });
    });
}
exports.keyboardCapsLockLayout = keyboardCapsLockLayout;
//# sourceMappingURL=layouts.js.map