"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var key_press_interface_1 = require("./key-press.interface");
var layouts_1 = require("./layouts");
var ngx_virtual_keyboard_service_1 = require("./ngx-virtual-keyboard.service");
var NgxVirtualKeyboardKeyComponent = /** @class */ (function () {
    function NgxVirtualKeyboardKeyComponent(_vk) {
        this._vk = _vk;
    }
    NgxVirtualKeyboardKeyComponent.prototype.ngOnInit = function () {
        var _this = this;
        this._vk.shift$.subscribe(function (shift) {
            _this.shift = shift;
        });
        var multiplier = 1;
        var fix = 0;
        if (this.key.length > 1) {
            this.isSpacer = layouts_1.isSpacer(this.key);
            this.special = layouts_1.isSpecial(this.key);
            this.isGrey = layouts_1.isGrey(this.key);
            this.isSpaceBar = layouts_1.isSpaceBar(this.key);
            var matches = /^(\w+)(:(\d+(\.\d+)?))?$/g.exec(this.key);
            this.keyValue = matches[1];
        }
        else {
            this.keyValue = this.key;
        }
        if (this.special) {
            if (layouts_1.specialKeyIcons.hasOwnProperty(this.keyValue)) {
                this.icon = layouts_1.specialKeyIcons[this.keyValue];
            }
            else if (layouts_1.specialKeyTexts.hasOwnProperty(this.keyValue)) {
                this.text = layouts_1.specialKeyTexts[this.keyValue];
            }
        }
    };
    NgxVirtualKeyboardKeyComponent.prototype.checkDisabled = function () {
        if (this.isSpacer) {
            return true;
        }
        else if (this.disabled && layouts_1.notDisabledSpecialKeys.indexOf(this.keyValue) !== -1) {
            return false;
        }
        else {
            return this.disabled;
        }
    };
    NgxVirtualKeyboardKeyComponent.prototype.onKeyPress = function () {
        this.keyPress.emit({ special: this.special, keyValue: this.keyValue, key: this.key });
    };
    return NgxVirtualKeyboardKeyComponent;
}());
exports.NgxVirtualKeyboardKeyComponent = NgxVirtualKeyboardKeyComponent;
//# sourceMappingURL=ngx-virtual-keyboard-key.component.js.map