const path = require('path');
const webpack = require('webpack');
const ExtractTextPlugin = require('extract-text-webpack-plugin');

module.exports = {
  entry: {
    'ngx-virtual-keyboard': path.join(__dirname, 'lib', 'index.ts')
  },
  resolve: {
    extensions: [
      '.ts',
      '.js',
      '.json',
      '.css'
    ],
  },
  /*
  resolveLoader: {
    root: path.join(__dirname, 'node_modules'),
  },
  */
  output: {
    path: path.join(__dirname, 'dist'),
    filename: 'ngx-virtual-keyboard.umd.js',
    library: [
      'ngx-virtual-keyboard',
    ],
    libraryTarget: 'umd',
  },
  externals: [
    /^rxjs\//,    //.... any other way? rx.umd.min.js does work?
    /^@angular\//,
  ],
  devtool: 'source-map',
  module: {
    rules: [
      { // Support for .ts files.
        test: /\.ts$/,
        use: [
          {
            loader: 'ts-loader'
          },
          {
            loader: 'angular2-template-loader'
          }
        ],
      }
    ],
  }
};